Results 1 to 6 of 6

Thread: Cannot Play MP3 Files

  1. #1

    Default Cannot Play MP3 Files

    Recently installed Leap and having a minor issue playing mp3 in Amarok. Installed all the usual codecs (Kb3, vlc, gstreamer plugins, lame, etc) as I have done in 13.2 & Tumbleweed without issue. In Leap I get the following debug from Amarok when trying to play any mp3 file, ogg and flac play fine.

    ** Message: PackageKit: xid = 14680288
    ** Message: PackageKit: desktop_id = (null)
    ** Message: PackageKit: Codec nice name: MPEG-1 Layer 3 (MP3) decoder
    ** Message: PackageKit: ignoring field named parsed
    ** Message: PackageKit: field is: mpegaudioversion, type: gint
    ** Message: PackageKit: field is: mpegversion, type: gint
    ** Message: PackageKit: field is: layer, type: gint
    ** Message: PackageKit: structure: gstreamer1(decoder-audio/mpeg)(mpegaudioversion=1)(mpegversion=1)(layer=3)()(64bit)
    ** Message: PackageKit: Did not install codec: GDBus.Errorrg.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PackageKit was not provided by any .service files

    Packman repo installed and have switch system versions to this, so codecs and amorok all from packman.

    Does leap require extra multimedia set-up or bug?

    Thanks

    Opensue leap 42.1 KDE Plasma 5.x.x.

  2. #2

    Default Re: Cannot Play MP3 Files

    Did you install gstreamer-fluendo-mp3?

  3. #3

    Default Re: Cannot Play MP3 Files

    I have gstreamer-0_10-plugins-fluendo_mp3 installed

  4. #4

    Default Re: Cannot Play MP3 Files

    Quote Originally Posted by MadVic View Post
    I have gstreamer-0_10-plugins-fluendo_mp3 installed
    But you need gstreamer-fluendo-mp3 for Amarok.

  5. #5

    Default Re: Cannot Play MP3 Files

    I have now solved by installing an additional plug-in - gstreamer-plugins-ugly-orig-addon

    Thanks for responding Wolfi

  6. #6

    Default Re: Cannot Play MP3 Files

    Quote Originally Posted by MadVic View Post
    I have now solved by installing an additional plug-in - gstreamer-plugins-ugly-orig-addon
    Yes, that contains an MP3 decoder as well.

    But gstreamer-fluendo-mp3 is preferable IMHO.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •